package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 检验任务表
 * </p>
 *
 * @author Philip
 * @since 2021-07-05
 */

@TableName("Z_INSPECTION_TASK")
public class InspectionTask extends Model<InspectionTask> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 检验类型
     */
   @TableField("CATEGORY")
   private String category;
    /**
     * 任务编号
     */
   @TableField("TASK_NO")
   private String taskNo;
    /**
     * 任务描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 任务状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 检验项目表HANDLE
     */
   @TableField("INSPECTION_ITEM_BO")
   private String inspectionItemBo;
    /**
     * 生产车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 工单编号
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 生产批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 工序编号
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 工艺路线步骤标识
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 资源编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 任务结果
     */
   @TableField("RESULT")
   private String result;
    /**
     * 备注
     */
   @TableField("COMMENTS")
   private String comments;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改用户
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 派工明细表BO
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getCategory() {
      return category;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public String getTaskNo() {
      return taskNo;
   }

   public void setTaskNo(String taskNo) {
      this.taskNo = taskNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getInspectionItemBo() {
      return inspectionItemBo;
   }

   public void setInspectionItemBo(String inspectionItemBo) {
      this.inspectionItemBo = inspectionItemBo;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public String getComments() {
      return comments;
   }

   public void setComments(String comments) {
      this.comments = comments;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String CATEGORY = "CATEGORY";

public static final String TASK_NO = "TASK_NO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS = "STATUS";

public static final String INSPECTION_ITEM_BO = "INSPECTION_ITEM_BO";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String STEP_ID = "STEP_ID";

public static final String RESRCE = "RESRCE";

public static final String RESULT = "RESULT";

public static final String COMMENTS = "COMMENTS";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InspectionTask{" +
         "handle = " + handle +
         ", site = " + site +
         ", category = " + category +
         ", taskNo = " + taskNo +
         ", description = " + description +
         ", status = " + status +
         ", inspectionItemBo = " + inspectionItemBo +
         ", workCenter = " + workCenter +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", resrce = " + resrce +
         ", result = " + result +
         ", comments = " + comments +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", sfcDispatchBo = " + sfcDispatchBo +
         "}";
   }
}